tidy
tidy::cleanRepair
tidy
PHP Manual

# tidy::body

# tidy_get_body

(PHP 5, PECL tidy 0.5.2-1.0)

tidy::body -- tidy_get_body — Returns a tidyNode object starting from the <body> tag of the tidy parse tree

### Description

Object oriented style

tidyNode tidy::body ( void )

Procedural style

tidyNode tidy_get_body ( tidy `$object` )

Returns a tidyNode object starting from the <body> tag of the tidy parse tree.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns a tidyNode object starting from the <body> tag of the tidy parse tree.

### Examples

Example #1 tidy::getBody() example

`<?php
$html = '
<html>
<head>
<title>test</title>
</head>
<body>
<p>paragraph</p>
</body>
</html>';
$tidy = tidy_parse_string($html);
$body = $tidy->Body();
echo $body->value;
?>`

The above example will output:

    <body>
    <p>paragraph</p>
    </body>

### Notes

> Note: This function is only available with Zend Engine 2 (PHP >= 5.0.0).

### See Also

- tidy::head() - Returns a tidyNode object starting from the <head> tag of the tidy parse tree
- tidy::html() - Returns a tidyNode object starting from the <html> tag of the tidy parse tree

tidy
tidy::cleanRepair
tidy
PHP Manual